// 收费查询函数库
import apis from "../apis_moudles/";
import req from "../request";
// 查询寄送列表
const QUERYSENDINFOLIST = function (data) {
  return req.post(apis.querySendInfoList, data);
};
// 删除寄送信息
const DELETERECEIPTSENDINFO= function (data) {
  return req.post(apis.deleteReceiptSendInfo, data);
};
// 保存理赔件账单寄送信息
const SAVERECEIPSENDINFO= function (data) {
  return req.post(apis.saveReceipSendInfo, data);
};
// 查询寄送包含账单列表
const QUERYSENDRECEIPLIST = function (data) {
  return req.post(apis.querySendReceipList, data);
};
// 待寄送账单查询
const QUERYNOSENDRECEIPLIST = function (data) {
  return req.post(apis.queryNoSendReceipList, data);
};
// get charge list
const GETCHARGELIST = function (data) {
  return req.post(apis.getChargeList, data);
};
//获取保险公司数据
const GETCOMPANYOPTIONS = function (data) {
  return req.post(apis.getCompanyOptions, data);
};
// 获取医生列表
const GETDOCTORlISTNOPAGE= function (data) {
  return req.post(apis.getDoctorListNoPage, data);
};
// get charge detail list
const GETCHARGELISTDETAIL = function (data) {
  return req.post(apis.getChargeListDetail, data);
};
// 获取费用支付明细
const GETRECEIPTPAYMENTDETAIL= function (data) {
  return req.post(apis.getReceiptPaymentDetail, data);
};
// 理赔件账单寄送查询
const QUERYCIRECEIPSENDLIST= function (data) {
  return req.post(apis.queryCiReceipSendList, data);
};
// 账单结算
const RECEIPTSETTLEMENT= function (data) {
  return req.post(apis.receiptSettlement, data);
};
// 寄送关联账单导出
const SENDRECEIPTLISTEXPORT= function (data) {
  return req.post(apis.sendReceipListExport, data, { responseType: "blob" });
};
// 账单打印
const RECEIPTPRINT= function (data) {
  return req.post(apis.receiptPrint, data);
};


// 对象数组
export default {
  QUERYSENDINFOLIST,
  DELETERECEIPTSENDINFO,
  SAVERECEIPSENDINFO,
  QUERYSENDRECEIPLIST,
  QUERYNOSENDRECEIPLIST,
  GETCHARGELIST,
  GETCOMPANYOPTIONS,
  GETDOCTORlISTNOPAGE,
  GETCHARGELISTDETAIL,
  GETRECEIPTPAYMENTDETAIL,
  QUERYCIRECEIPSENDLIST,
  RECEIPTSETTLEMENT,
  SENDRECEIPTLISTEXPORT,
  RECEIPTPRINT,
};
